Files | Enumerations | Functions
LED access

Interface to the board's 8 LEDs. More...

## Files
file | led.h

## Enumerations
enum | LED { RED0, YELLOW0, GREEN0, BLUE0, RED1, YELLOW1, GREEN1, BLUE1 }
| LED identifiers. More...

## Functions
int8_t | sb_led_on (LED led)
| Activates a specific LED. More...
int8_t | sb_led_off (LED led)
| Deactivates a specific LED. More...
int8_t | sb_led_toggle (LED led)
| Toggles a specific LED. More...
int8_t | sb_led_showLevel (uint8_t level, uint8_t max)
| Uses the LED array as a level indicator. More...
void | sb_led_setMask (uint8_t mask)
| Sets all LEDs according to a bitfield. More...

## Detailed Description

Interface to the board's 8 LEDs.

## Enumeration Type Documentation

## ◆ LED

enum LED

LED identifiers.

Enumerator
RED0 | Upper red led
YELLOW0 | Upper yellow led
GREEN0 | Upper green led
BLUE0 | Upper blue led
RED1 | Lower red led
YELLOW1 | Lower yellow led
GREEN1 | Lower green led
BLUE1 | Lower blue led

## Function Documentation

## ◆ sb_led_off()

int8_t sb_led_off | ( | LED | led | ) |

Deactivates a specific LED.

Parameters

  led | LED ID

Returns
  0 on success, negative value on error

Return values

  0 | success
  -1 | invalid LED ID

## ◆ sb_led_on()

int8_t sb_led_on | ( | LED | led | ) |

Activates a specific LED.

Parameters

  led | LED ID

Returns
  0 on success, negative value on error

Return values

  0 | success
  -1 | invalid LED ID

## ◆ sb_led_setMask()

void sb_led_setMask | ( | uint8_t | mask | ) |

Sets all LEDs according to a bitfield.

The bitfield contains one bit for each LED (the least significant bit corresponds to `RED0`, the most significant bit `BLUE1`). A set bit enables and a cleared bit disables the corresponding LED.

Parameters

  mask | 8-bit bitfield describing the desired LED states

## ◆ sb_led_showLevel()

int8_t sb_led_showLevel | ( | uint8_t | level,
|  | uint8_t | max
| ) |  |

Uses the LED array as a level indicator.

Allows the array of LEDs to be used as a (fill) level, progress or similar indicator. The 8 LEDs are used to display a ratio of a max-value<=255 in 9 steps.

Parameters

  level | level value
  max | maximum possible value

Returns
  the number of LEDs turned on on success, negative value on error

Return values

  >=0 | success
  -1 | level exceeds max
  -2 | max is 0

## ◆ sb_led_toggle()

int8_t sb_led_toggle | ( | LED | led | ) |

Toggles a specific LED.

Parameters

  led | LED ID

Returns
  0 on success, negative value on error

Return values

  0 | success
  -1 | invalid LED ID